import { DomainChart } from "./DomainChart";
import { IEnumerable$1, Type } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { HorizontalAlignment } from "igniteui-react-core";
import { VerticalAlignment } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { ValueAxisLabelLocation } from "./ValueAxisLabelLocation";
import { AngleAxisLabelLocation } from "./AngleAxisLabelLocation";
import { Axis } from "./Axis";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { TitleSettings } from "./TitleSettings";
import { DataSeries } from "igniteui-react-core";
import { XamDataChart } from "./XamDataChart";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
/**
 * @hidden
 */
export declare abstract class RadialBaseChart extends DomainChart {
    static $t: Type;
    provideContainer(a: any): void;
    protected ur(): void;
    protected vi(a: string, b: any, c: any): void;
    private zc;
    get ze(): (item: any) => string;
    set ze(a: (item: any) => string);
    private zd;
    get zf(): (item: any) => string;
    set zf(a: (item: any) => string);
    private zr;
    get aap(): number;
    set aap(a: number);
    private zt;
    get aar(): number;
    set aar(a: number);
    private zs;
    get aaq(): number;
    set aaq(a: number);
    private zq;
    get aao(): number;
    set aao(a: number);
    private z8;
    get aba(): number;
    set aba(a: number);
    private aaa;
    get abc(): number;
    set abc(a: number);
    private z9;
    get abb(): number;
    set abb(a: number);
    private z7;
    get aa9(): number;
    set aa9(a: number);
    private ae1;
    get afh(): Brush;
    set afh(a: Brush);
    private ae8;
    get afo(): Brush;
    set afo(a: Brush);
    private aez;
    get aff(): Brush;
    set aff(a: Brush);
    private ae0;
    get afg(): Brush;
    set afg(a: Brush);
    private z2;
    get aa0(): number;
    set aa0(a: number);
    private aaj;
    get abl(): number;
    set abl(a: number);
    private z1;
    get aaz(): number;
    set aaz(a: number);
    private aai;
    get abk(): number;
    set abk(a: number);
    private z4;
    get aa2(): number;
    set aa2(a: number);
    private aal;
    get abn(): number;
    set abn(a: number);
    private z3;
    get aa1(): number;
    set aa1(a: number);
    private aak;
    get abm(): number;
    set abm(a: number);
    private z0;
    get aay(): number;
    set aay(a: number);
    private aah;
    get abj(): number;
    set abj(a: number);
    private ae7;
    get afn(): Brush;
    set afn(a: Brush);
    private afe;
    get afu(): Brush;
    set afu(a: Brush);
    protected vj(a: string, b: any, c: any): void;
    private abt;
    get acg(): string;
    set acg(a: string);
    private abx;
    get adm(): string;
    set adm(a: string);
    private abv;
    get ac4(): string;
    set ac4(a: string);
    private abz;
    get aea(): string;
    set aea(a: string);
    private aeg;
    private aei;
    protected v3(a: DataSeries): void;
    protected abstract za(): Axis;
    protected abstract zb(): Axis;
    protected aej(a: (arg1: Axis) => void): void;
    protected aek(a: (arg1: Axis) => void, b: string): void;
    protected aep(a: (arg1: Axis) => void, b: boolean): void;
    protected aeo(a: (arg1: Axis) => void): void;
    protected ub(a: (arg1: Axis) => void, b: boolean): void;
    protected aen(a: (arg1: TitleSettings) => void): void;
    protected aes(a: (arg1: TitleSettings) => void): void;
    protected aeq(a: (arg1: AxisLabelSettings) => void): void;
    protected ael(a: (arg1: AxisLabelSettings) => void): void;
    aa3(a: number): number;
    aa5(a: number): number;
    aa4(a: number): number;
    aa6(a: number): number;
    protected v0(a: XamDataChart): void;
    static ac7(a: CategoryAxisBase, b: IEnumerable$1<DataSeries>): string;
    protected um(a: XamDataChart, b: any): void;
    protected aef(a: Axis): void;
    protected aeh(a: Axis): void;
    protected uj(): void;
    protected aed(a: Axis, b: (arg1: AxisLabelSettings) => void): void;
    protected aee(a: Axis, b: (arg1: TitleSettings) => void): void;
    protected vf(a: string, b: any, c: any): void;
    aer(): void;
    aem(): void;
    zh(a: ValueAxisLabelLocation): AxisLabelsLocation;
    zg(a: AngleAxisLabelLocation): AxisLabelsLocation;
    private abo;
    get abq(): any;
    set abq(a: any);
    private abp;
    get abr(): any;
    set abr(a: any);
    private ae2;
    get afi(): Brush;
    set afi(a: Brush);
    private ae9;
    get afp(): Brush;
    set afp(a: Brush);
    private zu;
    get aas(): number;
    set aas(a: number);
    private aab;
    get abd(): number;
    set abd(a: number);
    private zv;
    get aat(): number;
    set aat(a: number);
    private aac;
    get abe(): number;
    set abe(a: number);
    private ae4;
    get afk(): Brush;
    set afk(a: Brush);
    private afb;
    get afr(): Brush;
    set afr(a: Brush);
    private ae5;
    get afl(): Brush;
    set afl(a: Brush);
    private afc;
    get afs(): Brush;
    set afs(a: Brush);
    private zw;
    get aau(): number;
    set aau(a: number);
    private aad;
    get abf(): number;
    set abf(a: number);
    private zx;
    get aav(): number;
    set aav(a: number);
    private aae;
    get abg(): number;
    set abg(a: number);
    private ae6;
    get afm(): Brush;
    set afm(a: Brush);
    private afd;
    get aft(): Brush;
    set aft(a: Brush);
    private zy;
    get aaw(): number;
    set aaw(a: number);
    private aaf;
    get abh(): number;
    set abh(a: number);
    private abu;
    get acv(): string;
    set acv(a: string);
    private aby;
    get ad1(): string;
    set ad1(a: string);
    private ae3;
    get afj(): Brush;
    set afj(a: Brush);
    private afa;
    get afq(): Brush;
    set afq(a: Brush);
    private zp;
    get aan(): number;
    set aan(a: number);
    private z6;
    get aa8(): number;
    set aa8(a: number);
    private zo;
    get aam(): number;
    set aam(a: number);
    private z5;
    get aa7(): number;
    set aa7(a: number);
    private zz;
    get aax(): number;
    set aax(a: number);
    private aag;
    get abi(): number;
    set abi(a: number);
    private zk;
    get zm(): boolean;
    set zm(a: boolean);
    private zl;
    get zn(): boolean;
    set zn(a: boolean);
    private aeu;
    get aex(): HorizontalAlignment;
    set aex(a: HorizontalAlignment);
    private afx;
    get af0(): VerticalAlignment;
    set af0(a: VerticalAlignment);
    private aet;
    get aew(): HorizontalAlignment;
    set aew(a: HorizontalAlignment);
    private aev;
    protected get_aey(): HorizontalAlignment;
    protected set_aey(a: HorizontalAlignment): void;
    get aey(): HorizontalAlignment;
    set aey(a: HorizontalAlignment);
    private afv;
    get afy(): VerticalAlignment;
    set afy(a: VerticalAlignment);
    private afw;
    get afz(): VerticalAlignment;
    set afz(a: VerticalAlignment);
    private af1;
    get af3(): Visibility;
    set af3(a: Visibility);
    private af2;
    get af4(): Visibility;
    set af4(a: Visibility);
    private zi;
    protected get_zj(): ValueAxisLabelLocation;
    protected set_zj(a: ValueAxisLabelLocation): void;
    get zj(): ValueAxisLabelLocation;
    set zj(a: ValueAxisLabelLocation);
    private y8;
    protected get_y9(): AngleAxisLabelLocation;
    protected set_y9(a: AngleAxisLabelLocation): void;
    get y9(): AngleAxisLabelLocation;
    set y9(a: AngleAxisLabelLocation);
    private abs;
    get ab7(): string;
    set ab7(a: string);
    private y4;
    get y6(): any[];
    set y6(a: any[]);
    private abw;
    get add(): string;
    set add(a: string);
    private y5;
    get y7(): any[];
    set y7(a: any[]);
}
